Subject: Re: last call on hierarchy

From: [email-masked]
Date: Wed, 23 Jan 2002 13:45:30 +0100

Yakov,

Thanks for your clarifications. I look forward to the revised document.

Sven.

Yakov Rekhter <[email-masked]> on 22/01/2002 17:34:56

  To:          Sven VAN DEN BOSCH/BE/ALCATEL@ALCATEL          
                                                              
  cc:          [email-masked], [email-masked],                
               [email-masked]                              

  Subject      Re: last call on hierarchy                     
  :                                                           

Sven,

> I have added some additional comments to my original mail. Do you think
> these issues should be considered during the final revision of the
> document?

see in-line...

[clipped...]

> Sven>> Things brings up another question:Is it possible to use the exact
> same ERO hop sequence as the FA-LSP but still not use the FA-LSP
(supposing
> you want to use the FA-LSP for some LSPs and not for others)?
>
> > 2. Automatic setup of FA-LSP
> >
> > The draft says "Otherwise (if no existing FA-LSP is found), the LSR
sets
> > up a new FA-LSP.  That is, it initiates a new LSP setup just for the
> > FA-LSP."
> > I would like to clarify what happens when two FA-LSPs exist that, when
> > concatenated, can replace the new FA-LSP that is proposed to be set up
in
> > the quoted text.
> >
> > I would propose to say that the LSR may set up a new FA-LSP or
> > alternatively, it may replace the hop by a sequence of hops for which
FAs
> > are available.
>
> that would be ok, *provided* that the the strict hop subsequence
> from the ERO carried by the new LSP matches the one resulted from
> the concatenation of several FA-LSPs. Agreed ?
>
> Sven>> In the case that you describe I definitely agree.

Ok. So, I'll add the text to cover this.

>                                                          But I also saw
> another case where it is a loose hop over a region. In this case, instead
> of setting up a new FA-LSP you might want to use two existing FA-LSPs.
> Then, when there is no FA-LSP to the destination edge of the region
instead
> of making a new one you would need the freedom to expand the ERO using an
> intermediate node (another edge of the region which has a FA-LSP with
both
> edges in the original ERO). I tried to make a drawing below. I am not
sure
> the last situation ("desired") is allowed by the draft.
>
> input: explicit route A-B-C-D
>
> current network situation:
>                            A----B              C----D
>                                  \            /
>                               FA1 \          / FA2
>                                    \        /
>                                      ---X---
>
> new situation according to draft (there is no FA-LSP from B to C):
>                            A----B--------------C----D
>                                  \    FA3     /
>                               FA1 \          / FA2
>                                    \        /
>                                      ---X---
>
> desired new situation: expand ERO to A-B-X-C-D and leave network as is
>                            A----B              C----D
>                                  \            /
>                               FA1 \          / FA2
>                                    \        /
>                                      ---X---
>
> Sven.

That is also a valid case. I'll add the text to the document to
cover this case.

Yakov.